package migration

import (
	"electricity_bill_calc/logger"
	"embed"

	"github.com/uptrace/bun/migrate"
	"go.uber.org/zap"
)

var (
	//go:embed *.sql
	sqlMigrations embed.FS
	Migrations    = migrate.NewMigrations()
)

func init() {
	if err := Migrations.Discover(sqlMigrations); err != nil {
		logger.Named("Migrations").Fatal("Unable to load migrations.", zap.Error(err))
	}
}
